List Agent Versions
curl --request GET \
--url https://{controlPlaneURL}/api/svc/v1/agent-versions \
--header 'Authorization: Bearer <token>'import requests
url = "https://{controlPlaneURL}/api/svc/v1/agent-versions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{controlPlaneURL}/api/svc/v1/agent-versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"agentId": "<string>",
"fqn": "<string>",
"manifest": {
"type": "truefoundry-agent",
"name": "<string>",
"description": "<string>",
"model": {
"name": "<string>",
"params": {
"max_tokens": 1,
"reasoning_effort": "<string>",
"temperature": 1,
"top_p": 0.5,
"top_k": 1,
"parallel_tool_calls": true
}
},
"collaborators": [
{
"subject": "<string>",
"role_id": "<string>"
}
],
"tags": {},
"skills": [
{
"fqn": "<string>",
"preload": false
}
],
"mcp_servers": [
{
"name": "<string>",
"preload": false,
"enable_tools": [
"@all"
],
"disable_tools": [
"<string>"
],
"preload_tools": [
"<string>"
],
"require_approval_for_tools": [
"@write",
"@destructive"
]
}
],
"instructions": "<string>",
"messages": [
{
"role": "user",
"content": "<string>"
}
],
"variables": {},
"sample_inputs": [
{
"text": "<string>",
"variables": {}
}
],
"response_format": {
"type": "text"
},
"config": {
"iteration_limit": 100,
"sandbox": {
"enabled": true,
"file_downloads": true
},
"dynamic_sub_agents": {
"enabled": true
},
"context_management": {
"compaction": {
"enabled": true,
"compaction_threshold_tokens": 50000
},
"large_tool_response": {
"enabled": true
}
},
"generative_ui": {
"enabled": true
},
"ask_user_questions": {
"enabled": true
}
},
"ownedBy": {
"account": "<string>"
}
},
"version": 123,
"id": "jqfwg345gi25n5ju2yz5iz6m",
"metadata": {},
"createdBySubject": {
"subjectId": "<string>",
"subjectSlug": "<string>",
"subjectDisplayName": "<string>",
"subjectPatName": "<string>",
"subjectControllerName": "<string>",
"subjectExternalIdentitySlug": "<string>"
}
}
],
"pagination": {
"total": 100,
"offset": 0,
"limit": 10
}
}Agent
List Agent Versions
List Agent Versions for the provided agent id
GET
/
api
/
svc
/
v1
/
agent-versions
List Agent Versions
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Number of items per page
Required range:
1 <= x <= 1000Example:
10
Number of items to skip
Required range:
x >= 0Example:
0
Agent Id
Was this page helpful?
⌘I